<html>
<head>
<title>OGRE: Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1MaterialScriptCompiler.html">MaterialScriptCompiler</a>::<a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a></div>
<h1>Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition Struct Reference</h1><!-- doxytag: class="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition" -->Struct for holding a program definition which is in progress.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">OgreMaterialScriptCompiler.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#953f92f5c618abd6d6db5c0055254225">name</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#6fd897faa862fcc97511ebfc30afb1b0">progType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#d032b0b3e92422841c6e37e2f78014b7">language</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#272a7940595ca0d7829769f9a9d41a82">source</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#4e60a2d5238aa8120d4718f0e8d87c72">syntax</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#389c1dee2f778d03a5db397749515d29">supportsSkeletalAnimation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#1cfa6ed9daaef6772840cbfccf920c19">supportsMorphAnimation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#07ef4cd51676e5db28c810e57100e7e7">supportsPoseAnimation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#b85633173348ff64a2e588efff55bf96">usesVertexTextureFetch</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector<br>
&lt; std::pair&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#f608d1961f09c4944534b7fef449d662">customParameters</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector<br>
&lt; std::pair&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#f608d1961f09c4944534b7fef449d662">customParameters</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct for holding a program definition which is in progress. 
<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00152">152</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="953f92f5c618abd6d6db5c0055254225"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::name" ref="953f92f5c618abd6d6db5c0055254225" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#953f92f5c618abd6d6db5c0055254225">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::name</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00154">154</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6fd897faa862fcc97511ebfc30afb1b0"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::progType" ref="6fd897faa862fcc97511ebfc30afb1b0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#6fd897faa862fcc97511ebfc30afb1b0">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::progType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00155">155</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d032b0b3e92422841c6e37e2f78014b7"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::language" ref="d032b0b3e92422841c6e37e2f78014b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#d032b0b3e92422841c6e37e2f78014b7">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::language</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00156">156</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="272a7940595ca0d7829769f9a9d41a82"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::source" ref="272a7940595ca0d7829769f9a9d41a82" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#272a7940595ca0d7829769f9a9d41a82">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::source</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00157">157</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4e60a2d5238aa8120d4718f0e8d87c72"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::syntax" ref="4e60a2d5238aa8120d4718f0e8d87c72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#4e60a2d5238aa8120d4718f0e8d87c72">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::syntax</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00158">158</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="389c1dee2f778d03a5db397749515d29"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::supportsSkeletalAnimation" ref="389c1dee2f778d03a5db397749515d29" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#389c1dee2f778d03a5db397749515d29">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::supportsSkeletalAnimation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00159">159</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1cfa6ed9daaef6772840cbfccf920c19"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::supportsMorphAnimation" ref="1cfa6ed9daaef6772840cbfccf920c19" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#1cfa6ed9daaef6772840cbfccf920c19">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::supportsMorphAnimation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00160">160</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="07ef4cd51676e5db28c810e57100e7e7"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::supportsPoseAnimation" ref="07ef4cd51676e5db28c810e57100e7e7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#07ef4cd51676e5db28c810e57100e7e7">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::supportsPoseAnimation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00161">161</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b85633173348ff64a2e588efff55bf96"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::usesVertexTextureFetch" ref="b85633173348ff64a2e588efff55bf96" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#b85633173348ff64a2e588efff55bf96">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::usesVertexTextureFetch</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00162">162</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f608d1961f09c4944534b7fef449d662"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::customParameters" ref="f608d1961f09c4944534b7fef449d662" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt; &gt; <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#f608d1961f09c4944534b7fef449d662">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::customParameters</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00163">163</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f608d1961f09c4944534b7fef449d662"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::customParameters" ref="f608d1961f09c4944534b7fef449d662" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt; &gt; <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#f608d1961f09c4944534b7fef449d662">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::customParameters</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialScriptCompiler_8h-source.html#l00163">163</a> of file <a class="el" href="OgreMaterialScriptCompiler_8h-source.html">OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following files:<ul>
<li><a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a><li><a class="el" href="OgreMaterialScriptCompiler_8h-source.html">OgreMaterialScriptCompiler.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:05 2008
</p>
</body>
</html>
